<?xml version = '1.0' encoding = 'UTF-8'?>
<xsl:stylesheet version="2.0" xml:id="id_1" xmlns:ns0="http://xmlns.oracle.com/cloud/adapter/Logistics/SendShimentAdvice_REQUEST/types" xmlns:xp20="http://www.oracle.com/XSL/Transform/java/oracle.tip.pc.services.functions.Xpath20" xmlns:inp1="http://xmlns.oracle.com/apps/scm/shipping/shipConfirm/shipmentAdvice/shipmentAdviceAsnServiceV2/types/" xmlns:oraext="http://www.oracle.com/XSL/Transform/java/oracle.tip.pc.services.functions.ExtFunc" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:oracle-xsl-mapper="http://www.oracle.com/xsl/mapper/schemas" xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:nstrgmpr="http://xmlns.oracle.com/apps/otm/TransmissionService" xmlns:ns1="http://xmlns.oracle.com/cloud/adapter/osc/GetShipmentAdviceData_REQUEST" xmlns:client="http://xmlns.oracle.com/fa/event" xmlns:otm="http://xmlns.oracle.com/apps/otm/transmission/v6.4" xmlns:wssutil="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:ora="http://schemas.oracle.com/xpath/extension" xmlns:wsp="http://www.w3.org/ns/ws-policy" xmlns:nssrcmpr="http://xmlns.oracle.com/cloud/adapter/osc/GetShipmentAdviceData_REQUEST/types" xmlns:nsmpr0="http://xmlns.oracle.com/cloud/adapter/Logistics/SendShimentAdvice_REQUEST" exclude-result-prefixes=" xp20 inp1 oraext xsi oracle-xsl-mapper plnk xsl fn ns1 client xsd ora nssrcmpr ignore01" xmlns:ignore01="http://www.oracle.com/XSL/Transform/java" ignore01:ignorexmlids="true" xmlns:nsmpr1="http://xmlns.oracle.com/apps/scm/shipping/shipConfirm/shipmentAdvice/shipmentAdviceAsnServiceV2/" xmlns:xml="http://www.w3.org/XML/1998/namespace">
	<oracle-xsl-mapper:schema xml:id="id_2">
		<!--SPECIFICATION OF MAP SOURCES AND TARGETS, DO NOT MODIFY.-->
		<oracle-xsl-mapper:mapSources xml:id="id_3">
			<oracle-xsl-mapper:source type="WSDL" xml:id="id_4">
				<oracle-xsl-mapper:schema location="../../application_173/outbound_474/resourcegroup_44/GetShipmentAdviceData_REQUEST.wsdl" xml:id="id_5"/>
				<oracle-xsl-mapper:rootElement name="onEvent" namespace="http://xmlns.oracle.com/cloud/adapter/osc/GetShipmentAdviceData_REQUEST/types" xml:id="id_6"/>
			</oracle-xsl-mapper:source>
		</oracle-xsl-mapper:mapSources>
		<oracle-xsl-mapper:mapTargets xml:id="id_7">
			<oracle-xsl-mapper:target type="WSDL" xml:id="id_8">
				<oracle-xsl-mapper:schema location="../../application_888/inbound_233/resourcegroup_409/SendShimentAdvice_REQUEST.wsdl" xml:id="id_9"/>
				<oracle-xsl-mapper:rootElement name="publish" namespace="http://xmlns.oracle.com/apps/otm/TransmissionService" xml:id="id_10"/>
			</oracle-xsl-mapper:target>
		</oracle-xsl-mapper:mapTargets>
		<!--GENERATED BY ORACLE XSL MAPPER 12.1.2.0.0-->
	</oracle-xsl-mapper:schema>
	<!--User Editing allowed BELOW this line - DO NOT DELETE THIS LINE-->
	<xsl:template match="/" xml:id="id_11">
		<nstrgmpr:publish xml:id="id_121">	
			<otm:Transmission xml:id="id_12">
				<otm:TransmissionHeader xml:id="id_13">
					<otm:AckSpec xml:id="id_14">
						<otm:ComMethodGid xml:id="id_15">
							<otm:Gid xml:id="id_16">
								<otm:Xid xml:id="id_17">EMAIL</otm:Xid>
							</otm:Gid>
						</otm:ComMethodGid>
						<otm:EmailAddress xml:id="id_18">venkatasiva.gunda@oracle.com</otm:EmailAddress>
						<otm:AckOption xml:id="id_19">YES</otm:AckOption>
					</otm:AckSpec>
				</otm:TransmissionHeader>
				<otm:TransmissionBody xml:id="id_20">
					<otm:GLogXMLElement xml:id="id_21">
						<otm:ActualShipment xml:id="id_22">
							<otm:Shipment xml:id="id_23">
								<otm:ShipmentHeader xml:id="id_24">
									<otm:TransactionCode>IU</otm:TransactionCode>							
									<otm:ShipmentGid xml:id="id_25">
										<otm:Gid xml:id="id_26">
											<otm:DomainName xml:id="id_27">FA</otm:DomainName>
											<otm:Xid xml:id="id_28">
												<xsl:value-of select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:SAShipmentItem/nsmpr1:TransportationShipmentNumber" xml:id="id_29"/>
											</otm:Xid>
										</otm:Gid>
									</otm:ShipmentGid>
									<otm:FlexFieldStrings>
										<otm:Attribute20>
											<xsl:value-of select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:TransportationShipmentComplete" xml:id="id_291"/>
										</otm:Attribute20>									
									</otm:FlexFieldStrings>									
								</otm:ShipmentHeader>

								<!-- ShipmentStop for Pickup STARTS -->
								<otm:ShipmentStop xml:id="id_30">
									<otm:StopSequence xml:id="id_31">1</otm:StopSequence>
									<xsl:for-each select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:SAOuterPackingUnit">	
										<otm:ShipmentStopDetail xml:id="id_3211">
											<otm:Activity xml:id="id_3311">P</otm:Activity>
											<otm:ShipUnitGid>
												<otm:Gid>
													<otm:DomainName>FA</otm:DomainName>
													<otm:Xid>
														<xsl:value-of select="nsmpr1:LPNId"/>
													</otm:Xid>
												</otm:Gid>
											</otm:ShipUnitGid>
										</otm:ShipmentStopDetail>								
									</xsl:for-each>
									<xsl:for-each select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:SAShipmentItem">
										<xsl:if test="nsmpr1:ParentLPNName = ''">
											<otm:ShipmentStopDetail xml:id="id_32">
												<otm:Activity xml:id="id_33">P</otm:Activity>
												<otm:ShipUnitGid>
													<otm:Gid>
														<otm:DomainName>FA</otm:DomainName>
														<otm:Xid>
															<xsl:value-of select="nsmpr1:DeliveryDetailId"/>
														</otm:Xid>
													</otm:Gid>
												</otm:ShipUnitGid>
											</otm:ShipmentStopDetail>
										</xsl:if>
									</xsl:for-each>
								</otm:ShipmentStop>
								<!-- ShipmentStop for Pickup ENDS -->							

								<!-- ShipmentStop for Delivery STARTS -->							
								<otm:ShipmentStop xml:id="id_301">
									<otm:StopSequence xml:id="id_311">2</otm:StopSequence>
									<xsl:for-each select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:SAOuterPackingUnit">	
										<otm:ShipmentStopDetail xml:id="id_32111">
											<otm:Activity xml:id="id_33111">D</otm:Activity>
											<otm:ShipUnitGid>
												<otm:Gid>
													<otm:DomainName>FA</otm:DomainName>
													<otm:Xid>
														<xsl:value-of select="nsmpr1:LPNId"/>
													</otm:Xid>
												</otm:Gid>
											</otm:ShipUnitGid>
										</otm:ShipmentStopDetail>								
									</xsl:for-each>								
									<xsl:for-each select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:SAShipmentItem">
										<xsl:if test="nsmpr1:ParentLPNName = ''">								
											<otm:ShipmentStopDetail xml:id="id_321">								
												<otm:Activity xml:id="id_331">D</otm:Activity>
												<otm:ShipUnitGid>
													<otm:Gid>
														<otm:DomainName>FA</otm:DomainName>
														<otm:Xid>
															<xsl:value-of select="nsmpr1:DeliveryDetailId"/>
														</otm:Xid>											
													</otm:Gid>
												</otm:ShipUnitGid>
											</otm:ShipmentStopDetail>
										</xsl:if>										
									</xsl:for-each>
								</otm:ShipmentStop>

								<!-- ShipmentStop for Delivery ENDS -->							

								<xsl:for-each select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:SAOuterPackingUnit">
									<xsl:variable name="outerpacking" as="xsd:string" select="nsmpr1:LicensePlateNumber"/>
									<xsl:variable name="count" select="0"/>									
									<otm:SShipUnit>
										<otm:TransactionCode>IU</otm:TransactionCode>
										<otm:ShipUnit>
											<otm:ShipUnitCount>1</otm:ShipUnitCount>
											<otm:ShipUnitGid>
												<otm:Gid>
													<otm:DomainName>FA</otm:DomainName>
													<otm:Xid>
														<xsl:value-of select="nsmpr1:LPNId"/>
													</otm:Xid>
												</otm:Gid>
											</otm:ShipUnitGid>									
											<otm:ShipUnitRefnum>
												<otm:ShipUnitRefnumQualifierGid xml:id="id_57">																		
													<otm:Gid xml:id="id_58">
														<otm:DomainName xml:id="id_59">FA</otm:DomainName>
														<otm:Xid xml:id="id_60">CUSTOMER SHIPMENT NUMBER</otm:Xid>
													</otm:Gid>
												</otm:ShipUnitRefnumQualifierGid>
												<otm:ShipUnitRefnumValue xml:id="id_61">
													<xsl:value-of select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:DeliveryName" xml:id="id_62"/>
												</otm:ShipUnitRefnumValue>
											</otm:ShipUnitRefnum>
											<otm:ShipUnitRefnum>
												<otm:ShipUnitRefnumQualifierGid xml:id="id_63">																		
													<otm:Gid xml:id="id_64">
														<otm:DomainName xml:id="id_65">FA</otm:DomainName>
														<otm:Xid xml:id="id_66">OUTER PACK SN</otm:Xid>
													</otm:Gid>
												</otm:ShipUnitRefnumQualifierGid>
												<otm:ShipUnitRefnumValue xml:id="id_67">
													<xsl:value-of select="nsmpr1:LicensePlateNumber" xml:id="id_68"/>
												</otm:ShipUnitRefnumValue>
											</otm:ShipUnitRefnum>	
											<otm:ReceivedShipUnitCount>1</otm:ReceivedShipUnitCount>									
											<otm:ShipUnitSpecGid>
												<otm:Gid>
													<otm:DomainName>FA</otm:DomainName>
													<otm:Xid>
														<xsl:value-of select="nsmpr1:ContainerTypeCode"/>
													</otm:Xid>
												</otm:Gid>
											</otm:ShipUnitSpecGid>										
											<otm:WeightVolume>
												<xsl:if test="nsmpr1:GrossWeight != ''">
													<otm:Weight>
														<otm:WeightValue>
															<xsl:value-of select="nsmpr1:GrossWeight"/>
														</otm:WeightValue>
														<otm:WeightUOMGid>
															<otm:Gid>
																<otm:Xid>
																	<xsl:value-of select="nsmpr1:GrossWeightUOMCode"/>
																</otm:Xid>
															</otm:Gid>
														</otm:WeightUOMGid>
													</otm:Weight>
												</xsl:if>
												<xsl:if test="nsmpr1:ContainerVolume != ''">											
													<otm:Volume>
														<otm:VolumeValue>
															<xsl:value-of select="nsmpr1:ContainerVolume"/>
														</otm:VolumeValue>
														<otm:VolumeUOMGid>
															<otm:Gid>
																<otm:Xid>
																	<xsl:value-of select="nsmpr1:ContainerVolumeUOMCode"/>
																</otm:Xid>
															</otm:Gid>
														</otm:VolumeUOMGid>
													</otm:Volume>
												</xsl:if>											
											</otm:WeightVolume>
											<!-- FOR Nested Packing Unit scenarios -->
											<xsl:for-each select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:SAInnerPackingUnit">
												<xsl:variable name="innerpacking" as="xsd:string" select="nsmpr1:LicensePlateNumber"/>
												<xsl:variable name="outermost" as="xsd:string" select="nsmpr1:OutermostLicensePlateNumber"/>

												<xsl:if test=" $outermost = $outerpacking">
													<xsl:for-each select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:SAShipmentItem">
														<xsl:if test="nsmpr1:ParentLPNName = $innerpacking">
															<otm:ShipUnitContent>
																<xsl:variable name="count" select="$count+1"/>														
																<otm:LineNumber>
																	<xsl:value-of select="$count"/>
																</otm:LineNumber>
																<otm:ShipUnitLineRefnum>
																	<otm:ShipUnitLineRefnumQualifierGid xml:id="id_553">																		
																		<otm:Gid xml:id="id_551">
																			<otm:DomainName xml:id="id_271">FA</otm:DomainName>
																			<otm:Xid xml:id="id_552">SHIPMENT LINE</otm:Xid>
																		</otm:Gid>
																	</otm:ShipUnitLineRefnumQualifierGid>
																	<otm:ShipUnitLineRefnumValue xml:id="id_43">
																		<xsl:value-of select="nsmpr1:TransportationShipmentLine" xml:id="id_44"/>
																	</otm:ShipUnitLineRefnumValue>
																</otm:ShipUnitLineRefnum>
																<otm:PackagedItemRef>
																	<otm:PackagedItemGid>
																		<otm:Gid>
																			<otm:DomainName>FA</otm:DomainName>
																			<otm:Xid>
																				<xsl:value-of select="nsmpr1:InventoryItemId"/>
																			</otm:Xid>
																		</otm:Gid>
																	</otm:PackagedItemGid>
																</otm:PackagedItemRef>
																<otm:ItemQuantity>
																	<otm:PackagedItemCount>
																		<xsl:value-of select="nsmpr1:ShippedQuantity"/>
																	</otm:PackagedItemCount>
																	<otm:WeightVolume>
																		<xsl:if test="nsmpr1:NetWeight != ''">																	
																			<otm:Weight>
																				<otm:WeightValue>
																					<xsl:value-of select="nsmpr1:NetWeight"/>
																				</otm:WeightValue>
																				<otm:WeightUOMGid>
																					<otm:Gid>
																						<otm:Xid>
																							<xsl:value-of select="nsmpr1:WeightUOMCode"/>
																						</otm:Xid>
																					</otm:Gid>
																				</otm:WeightUOMGid>
																			</otm:Weight>
																		</xsl:if>
																		<xsl:if test="nsmpr1:Volume != ''">																	
																			<otm:Volume>
																				<otm:VolumeValue>
																					<xsl:value-of select="nsmpr1:Volume"/>
																				</otm:VolumeValue>
																				<otm:VolumeUOMGid>
																					<otm:Gid>
																						<otm:Xid>
																							<xsl:value-of select="nsmpr1:VolumeUOMCode"/>
																						</otm:Xid>
																					</otm:Gid>
																				</otm:VolumeUOMGid>
																			</otm:Volume>
																		</xsl:if>																	
																	</otm:WeightVolume>
																</otm:ItemQuantity>
																<otm:ReleaseGid>
																	<otm:Gid>
																		<otm:DomainName>FA</otm:DomainName>
																		<otm:Xid>
																			<xsl:value-of select="nsmpr1:SourceShipmentId"/>
																		</otm:Xid>
																	</otm:Gid>
																</otm:ReleaseGid>
																<otm:ReleaseLineGid>
																	<otm:Gid>
																		<otm:DomainName>FA</otm:DomainName>
																		<otm:Xid>
																			<xsl:value-of select="nsmpr1:SourceShipmentId"/>
																		</otm:Xid>
																	</otm:Gid>
																</otm:ReleaseLineGid>
															</otm:ShipUnitContent>
														</xsl:if>	
													</xsl:for-each>				  					
												</xsl:if>
											</xsl:for-each>

											<!-- For the lines directly assigned to outer packing units -->
											<xsl:for-each select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:SAShipmentItem">
												<xsl:if test="nsmpr1:ParentLPNName = $outerpacking">
													<otm:ShipUnitContent>
														<xsl:variable name="count" select="$count+1"/>														
														<otm:LineNumber>
															<xsl:value-of select="$count"/>
														</otm:LineNumber>
														<otm:ShipUnitLineRefnum>
															<otm:ShipUnitLineRefnumQualifierGid xml:id="id_45">																		
																<otm:Gid xml:id="id_46">
																	<otm:DomainName xml:id="id_47">FA</otm:DomainName>
																	<otm:Xid xml:id="id_48">SHIPMENT LINE</otm:Xid>
																</otm:Gid>
															</otm:ShipUnitLineRefnumQualifierGid>
															<otm:ShipUnitLineRefnumValue xml:id="id_49">
																<xsl:value-of select="nsmpr1:TransportationShipmentLine" xml:id="id_50"/>
															</otm:ShipUnitLineRefnumValue>
														</otm:ShipUnitLineRefnum>												
														<otm:PackagedItemRef>
															<otm:PackagedItemGid>
																<otm:Gid>
																	<otm:DomainName>FA</otm:DomainName>
																	<otm:Xid>
																		<xsl:value-of select="nsmpr1:InventoryItemId"/>
																	</otm:Xid>
																</otm:Gid>
															</otm:PackagedItemGid>
														</otm:PackagedItemRef>
														<otm:ItemQuantity>
															<otm:PackagedItemCount>
																<xsl:value-of select="nsmpr1:ShippedQuantity"/>
															</otm:PackagedItemCount>
															<otm:WeightVolume>
																<xsl:if test="nsmpr1:NetWeight != ''">														
																	<otm:Weight>
																		<otm:WeightValue>
																			<xsl:value-of select="nsmpr1:NetWeight"/>
																		</otm:WeightValue>
																		<otm:WeightUOMGid>
																			<otm:Gid>
																				<otm:Xid>
																					<xsl:value-of select="nsmpr1:WeightUOMCode"/>
																				</otm:Xid>
																			</otm:Gid>
																		</otm:WeightUOMGid>
																	</otm:Weight>
																</xsl:if>
																<xsl:if test="nsmpr1:Volume != ''">															
																	<otm:Volume>
																		<otm:VolumeValue>
																			<xsl:value-of select="nsmpr1:Volume"/>
																		</otm:VolumeValue>
																		<otm:VolumeUOMGid>
																			<otm:Gid>
																				<otm:Xid>
																					<xsl:value-of select="nsmpr1:VolumeUOMCode"/>
																				</otm:Xid>
																			</otm:Gid>
																		</otm:VolumeUOMGid>
																	</otm:Volume>
																</xsl:if>
															</otm:WeightVolume>
														</otm:ItemQuantity>
														<otm:ReleaseGid>
															<otm:Gid>
																<otm:DomainName>FA</otm:DomainName>
																<otm:Xid>
																	<xsl:value-of select="nsmpr1:SourceShipmentId"/>
																</otm:Xid>
															</otm:Gid>
														</otm:ReleaseGid>
														<otm:ReleaseLineGid>
															<otm:Gid>
																<otm:DomainName>FA</otm:DomainName>
																<otm:Xid>
																	<xsl:value-of select="nsmpr1:SourceShipmentId"/>
																</otm:Xid>
															</otm:Gid>
														</otm:ReleaseLineGid>
													</otm:ShipUnitContent>
												</xsl:if>	
											</xsl:for-each>	
										</otm:ShipUnit>
									</otm:SShipUnit>
								</xsl:for-each>
								<!-- For Unpacked Lines scenarios -->
								<xsl:for-each select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:SAShipmentItem">
									<xsl:if test="nsmpr1:ParentLPNName = ''">
										<otm:SShipUnit>
											<otm:TransactionCode>IU</otm:TransactionCode>
											<otm:ShipUnit>
												<otm:ShipUnitCount>1</otm:ShipUnitCount>
												<otm:ShipUnitGid>
													<otm:Gid>
														<otm:DomainName>FA</otm:DomainName>
														<otm:Xid>
															<xsl:value-of select="nsmpr1:DeliveryDetailId"/>
														</otm:Xid>
													</otm:Gid>
												</otm:ShipUnitGid>										
												<otm:ShipUnitRefnum>
													<otm:ShipUnitRefnumQualifierGid xml:id="id_71">																		
														<otm:Gid xml:id="id_72">
															<otm:DomainName xml:id="id_73">FA</otm:DomainName>
															<otm:Xid xml:id="id_74">CUSTOMER SHIPMENT NUMBER</otm:Xid>
														</otm:Gid>
													</otm:ShipUnitRefnumQualifierGid>
													<otm:ShipUnitRefnumValue xml:id="id_75">
														<xsl:value-of select="/nssrcmpr:onEvent/inp1:getShipmentAdviceDataResponse/inp1:result/nsmpr1:DeliveryName" xml:id="id_76"/>
													</otm:ShipUnitRefnumValue>
												</otm:ShipUnitRefnum>
												<otm:ReceivedShipUnitCount>1</otm:ReceivedShipUnitCount>
												<otm:ShipUnitContent>
													<otm:LineNumber>1</otm:LineNumber>
													<otm:ShipUnitLineRefnum>
														<otm:ShipUnitLineRefnumQualifierGid xml:id="id_51">																		
															<otm:Gid xml:id="id_52">
																<otm:DomainName xml:id="id_53">FA</otm:DomainName>
																<otm:Xid xml:id="id_54">SHIPMENT LINE</otm:Xid>
															</otm:Gid>
														</otm:ShipUnitLineRefnumQualifierGid>
														<otm:ShipUnitLineRefnumValue xml:id="id_55">
															<xsl:value-of select="nsmpr1:TransportationShipmentLine" xml:id="id_56"/>
														</otm:ShipUnitLineRefnumValue>
													</otm:ShipUnitLineRefnum>											
													<otm:PackagedItemRef>
														<otm:PackagedItemGid>
															<otm:Gid>
																<otm:DomainName>FA</otm:DomainName>
																<otm:Xid>
																	<xsl:value-of select="nsmpr1:InventoryItemId"/>
																</otm:Xid>
															</otm:Gid>
														</otm:PackagedItemGid>
													</otm:PackagedItemRef>
													<otm:ItemQuantity>
														<otm:PackagedItemCount>
															<xsl:value-of select="nsmpr1:ShippedQuantity"/>
														</otm:PackagedItemCount>
														<otm:WeightVolume>
															<xsl:if test="nsmpr1:NetWeight != ''">													
																<otm:Weight>
																	<otm:WeightValue>
																		<xsl:value-of select="nsmpr1:NetWeight"/>
																	</otm:WeightValue>
																	<otm:WeightUOMGid>
																		<otm:Gid>
																			<otm:Xid>
																				<xsl:value-of select="nsmpr1:WeightUOMCode"/>
																			</otm:Xid>
																		</otm:Gid>
																	</otm:WeightUOMGid>
																</otm:Weight>
															</xsl:if>
															<xsl:if test="nsmpr1:Volume != ''">														
																<otm:Volume>
																	<otm:VolumeValue>
																		<xsl:value-of select="nsmpr1:Volume"/>
																	</otm:VolumeValue>
																	<otm:VolumeUOMGid>
																		<otm:Gid>
																			<otm:Xid>
																				<xsl:value-of select="nsmpr1:VolumeUOMCode"/>
																			</otm:Xid>
																		</otm:Gid>
																	</otm:VolumeUOMGid>
																</otm:Volume>
															</xsl:if>
														</otm:WeightVolume>
													</otm:ItemQuantity>
													<otm:ReleaseGid>
														<otm:Gid>
															<otm:DomainName>FA</otm:DomainName>
															<otm:Xid>
																<xsl:value-of select="nsmpr1:SourceShipmentId"/>
															</otm:Xid>
														</otm:Gid>
													</otm:ReleaseGid>
													<otm:ReleaseLineGid>
														<otm:Gid>
															<otm:DomainName>FA</otm:DomainName>
															<otm:Xid>
																<xsl:value-of select="nsmpr1:SourceShipmentId"/>
															</otm:Xid>
														</otm:Gid>
													</otm:ReleaseLineGid>
												</otm:ShipUnitContent>
											</otm:ShipUnit>
										</otm:SShipUnit>
									</xsl:if>	
								</xsl:for-each>	
							</otm:Shipment>
						</otm:ActualShipment>
					</otm:GLogXMLElement>
				</otm:TransmissionBody>
			</otm:Transmission>
		</nstrgmpr:publish>		
	</xsl:template>
</xsl:stylesheet>
